#!/usr/bin/env python

import sys, re

if len(sys.argv) < 3:
    print "usage: extract-log.py output.dat log.in1 [log.in2 [log.in3 ...]]"
    sys.exit(1)

# open output file
out = open(sys.argv[1],'w')

# loop over log files
for f in sys.argv[2:len(sys.argv)]:
    fp = open(f,'rb')
    txt = fp.read()
    fp.close()
    perf = re.findall('Loop time of (\S+) on (\d+) procs for (\d+) steps with (\d+) atoms',txt)
    out.write(" ".join(perf[0])+" # "+f+"\n")

out.close()

